XmlParser File Reference
`#include <osgDB/Registry>`

Go to the source code of this file.

## Classes

class | osgDB::XmlNode
class | osgDB::XmlNode::ControlMap
class | osgDB::XmlNode::Input

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_XML_PARSER 1

## Functions

OSGDB_EXPORT XmlNode * | osgDB::readXmlFile (const std::string &filename, const Options *options)
XmlNode * | osgDB::readXmlFile (const std::string &filename)
OSGDB_EXPORT XmlNode * | osgDB::readXmlStream (std::istream &fin)
OSGDB_EXPORT std::string | osgDB::trimEnclosingSpaces (const std::string &str)

## Macro Definition Documentation

## OSGDB_XML_PARSER

#define OSGDB_XML_PARSER 1